.task-focused-container {
  display: flex;
  flex-flow: column nowrap;

  width: 93%;
  margin-top: 0.5rem;
  margin-bottom: 0.5rem;
}

.task-focused-header {
  display: flex;
  justify-content: space-between;
  width: 100%;
  font-size: 1.4rem;
  color: #707070;
  margin-bottom: 0.3rem;
}

.task-focused-textarea {
  box-sizing: border-box;
  font-family: $default-font;
  font-size: 0.9rem;
  width: 92%;
  resize: none;
  margin: 1rem auto;
  outline: none;
  border: none;
  word-wrap: break-word;
  white-space: pre-line;
  text-indent: 0.5rem;
  line-height: 1.5;
  overflow-y: scroll;  
  margin: 0;
}

.task-focused-title {
  font-size: 1.2rem;
  font-weight: 600;
}

.task-focused-description-container {
  display: flex;
  flex-flow: row nowrap;
  justify-content: center;
  align-items: center; 
  margin-top: 0.2rem;
}

.task-focused-icons {
  align-self: flex-start; 
  vertical-align: middle;
  margin-top: 0.3rem;
  color: #707070;
}

.task-focused-date {
  box-sizing: border-box;
  display: flex;
  flex-flow: row nowrap;
  justify-content: center;
  align-items: center;

  height: 1.9rem;
  align-self: flex-start;
  white-space: nowrap;
  padding: 0 0.4rem;
  margin-top: 0.6rem;
  margin-bottom: 0.2rem;
}

.task-focused-date-container {
  display: flex;
  margin-left: 0.5rem;
  font-family: $default-font;
  font-size: 0.9rem;
  text-align: center;
}

.task-focused-date-valid {
  padding: 0.2rem;
  background-color: $background-gray;
  border-radius: 2px;
  box-shadow: 0px 0px 1px 0px black;
}

.task-focused-date-close-icon {
  margin-top: auto;
  margin-bottom: auto;
  margin-left: 0.3rem;
  font-size: 1.1rem;
}


.task-focused-confirmation-modal-container {
  font-family: $default-font;
  width: 90vw;
  max-width: 500px;
  font-size: 1.3rem;
  font-weight: 500;
  text-align: center;
  padding-top: 0.6rem;
}


.task-focused-confirmation-modal-buttons-container {
  box-sizing: border-box;
  display: flex;
  flex-flow: row-reverse nowrap;
  width: 100%;
  margin: 0.4rem 0;
}

.task-focused-confirmation-modal-button {
  font-family: $default-font;
  color: $secondary-color-1;
  font-size: 14px;
  font-weight: 600;
  text-align: center;
  margin: 0.5rem 1.5rem;
}

.task-focused-error {
  font-family: $default-font;
  display: flex;
  justify-content: space-between;
  margin: auto;
  margin-bottom: 0.4rem;
  width: 90%;
  padding: 0.4rem;
  background-color: $warning-color;
  border-radius: 0.3rem;
}